<?php
defined('TYPO3_MODE') or die();

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::registerPageTSConfigFile(
    'ot_bootstrap3',
    'Configuration/PageTS/PageTSconfigFile.t3s',
    'Website configuration'
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:ot_bootstrap3/Configuration/UserTS/UserTSconfigFile.t3s">');

$GLOBALS['TCA']['sys_file_reference']['columns']['crop']['config']['ratios'] = array(
    '4.68' => 'Slider', // 1170x250
    '1.7777777777777777' => '16:9',
    '1.3333333333333333' => '4:3',
    '1' => '1:1',
    'NaN' => 'Free',
);

$tempColumns = [
    'show_breadcrumb' => [
        'exclude' => 1,
        'label' => 'Show breadcrumb',
        'config' => [
            'type' => 'check',
        ]
    ],
    'show_social_share_buttons' => [
        'exclude' => 1,
        'label' => 'Show social share buttons',
        'config' => [
            'type' => 'check',
        ]
    ],
];
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages', $tempColumns, true);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'pages',
    ', --div--;Enable, show_breadcrumb, show_social_share_buttons ',
    '',
    'after:categories');
