<?php
defined('TYPO3_MODE') or die();


// Changes date fields to datetime fields in pages and tt_content
# $GLOBALS['TCA']['tt_content']['columns']['starttime']['config']['eval'] = 'datetime';
# $GLOBALS['TCA']['tt_content']['columns']['endtime']['config']['eval'] = 'datetime';

$tempColumnHeaderStyle = [
    'header_style' => [
        'exclude' => 1,
        'label' => 'Header Style',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['Default', ''],
                ['Links', 'text-left'],
                ['Links - Fett', 'text-left header-style-layout2'],
                ['Links - Unterstrichen', 'text-left header-border-bottom'],
                ['Links - Fett - Unterstrichen', 'text-left header-border-bottom header-style-layout2'],

                ['Zentriert', 'text-center'],
                ['Zentriert - Fett', 'text-center header-style-layout2'],
                ['Zentriert - Unterstrichen', 'text-center header-border-bottom'],
                ['Zentriert - Fett - Unterstrichen', 'text-center header-border-bottom header-style-layout2'],
                ['Zentriert - Weißer Hintergrund', 'text-center header-border-bottom header-style-layout3'],
            ],
            'size' => 1,
            'maxitems' => 1,
        ]
    ],
    'table_css' => [
        'exclude' => 1,
        'label' => 'Table CSS',
        'config' => [
            'type' => 'input',
            'size' => '30',
            'max' => '255',
            'eval' => ''
        ]
    ]
];

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $tempColumnHeaderStyle);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette(
    'tt_content',
    'header',
    'header_style',
    'after:header_layout'
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette(
    'tt_content',
    'tableconfiguration',
    'table_css',
    'after:table_caption'
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette(
    'tt_content',
    'headers',
    'header_style',
    'after:header_layout'
);


