<?php

/***************************************************************
 * Extension Manager/Repository config file for ext: "ot_bootstrap3"
 * Manual updates:
 * Only the data in the array - anything else is removed by next write.
 * "version" and "dependencies" must not be touched!
 ***************************************************************/

$EM_CONF[$_EXTKEY] = [
    'title' => 'Bootstrap 3 Basis Template',
    'description' => 'Bootstrap 3.3.6 basis template',
    'category' => 'frontend',
    'author' => 'Oliver Thiele',
    'author_email' => 'mailYYYY@oliver-thiele.de',
    'state' => 'alpha',
    'internal' => '',
    'uploadfolder' => '0',
    'createDirs' => '',
    'dividers2tabs' => true,
    'clearCacheOnLoad' => 1,
    'version' => '7.6.0',
    'constraints' => [
        'depends' => [
            'typo3' => '7.6.0-7.9.99',
            'fluid_styled_content' => ''
        ],
        'conflicts' => [],
        'suggests' => [
            'ot_collapse' => '7.6.0-7.9.99',
            'ot_divider' => '7.6.0-7.9.99',
            'mask' => '2.1.0-2.9.99',
        ],
    ],
    'autoload' => [
        'psr-4' => [
            'OliverThiele\\OtBootstrap3\\' => 'Classes'
        ]
    ]
];
